CBUNI(3)

SYNOPSIS
SUBROUTINE CBUNI (Z, FNU, KODE, N, Y, NZ, NUI, NLAST, FNUL, TOL, + ELIM, ALIM)

NAME
cbuni - Subsidiary to CBESI and CBESK

LIBRARY
SLATEC

TYPE
ALL (CBUNI-A, ZBUNI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
CBUNI COMPUTES THE I BESSEL FUNCTION FOR LARGE ABS(Z).GT. FNUL AND FNU+N-1.LT.FNUL. THE ORDER IS INCREASED FROM FNU+N-1 GREATER THAN FNUL BY ADDING NUI AND COMPUTING ACCORDING TO THE UNIFORM ASYMPTOTIC EXPANSION FOR I(FNU,Z) ON IFORM=1 AND THE EXPANSION FOR J(FNU,Z) ON IFORM=2

SEE ALSO
CBESI, CBESK

ROUTINES CALLED
CUNI1, CUNI2, R1MACH

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)